from modelverse import *
from random import random

username = str(random())
password = str(random())
model_name = str(random())
model_name2 = str(random())

init()
login(username, password)

model_add(model_name, "SimpleClassDiagrams", open("models/petrinet_ports.mvc", "r").read())
print(verify(model_name))
print(element_list(model_name))
print(model_list())
print(types(model_name))
try:
    print(read("SimpleClassDiagrams", "Place"))
    raise Exception("ERROR")
except UnknownIdentifier:
    print(read("SimpleClassDiagrams", "Class"))
    try:
        print(read_attrs("SimpleClassDiagrams", "Place"))
        raise Exception("ERROR")
    except UnknownIdentifier:
        print(read_attrs("SimpleClassDiagrams", "Class"))
        try:
            print(instantiate("SimpleClassDiagrams", "Class", None))
            raise Exception("ERROR")
        except PermissionDenied:
            print(("abc", "Class") not in element_list("SimpleClassDiagrams"))
            print(verify(model_name))
            print(element_list(model_name))
            print(instantiate(model_name, "Class", None))
            print(("abc", "Class") in element_list(model_name))
            model_add(model_name2, model_name)
            p1 = instantiate(model_name2, "Place")
            p2 = instantiate(model_name2, "Place")
            t1 = instantiate(model_name2, "Transition")
            p2t = instantiate(model_name2, "P2T", (p1, t1))
            t2p = instantiate(model_name2, "T2P", (t1, p2))
            print(read_outgoing(model_name2, p1, "P2T"))
            print(read_outgoing(model_name2, p2, "P2T"))
            print(element_list(model_name2))
            print(read_attrs(model_name2, p1))
            attr_assign(model_name2, p1, "name", "p1")
            attr_assign(model_name2, p1, "tokens", 1)
            print(read_attrs(model_name2, p1))
            print(verify(model_name2))
            attr_assign(model_name2, p2, "name", "p2")
            attr_assign(model_name2, p2, "tokens", 3)
            print(verify(model_name2))
            attr_assign(model_name2, t1, "name", "t1")
            try:
                attr_assign(model_name2, t2p, "weight", 2)
                raise Exception("ERROR")
            except NoSuchAttribute:
                print(verify(model_name2))
